SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001222SiT!incidentspublic2010-04-04 14:042011-02-14 13:18
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001222: time to next action limited to 8 - 5
DescriptionThe time selector for time to next action is limited to 8am to 5pm and is devided into hours we should:

a) Allow more granular times - though default to something sensible in the working day
b) Allow any hour of the day
TagsNo tags attached.
Attached Files

- Relationships
related to 0001115confirmed Editor for time to next action 

-  Notes
User avatar (0002921)
kieran (administrator)
2010-04-04 14:33

This should probably just use the $CONFIG variable for working time (if it doesn't already).
User avatar (0002922)
paulh (administrator)
2010-04-04 19:24

Its just got a list of hard coded times at hour intervals between 8am and 5pm

I'm not sure about only showing the hours in $CONFIG whilst this would been an improvement there could be occurrences where your 'normal' hours are 9-5 though if you have a on call arrangement (or have someone working outside of core hours) that you wish to show all hours.

Probably best to have an additional config option which allows you to configure what hours to show e.g. just working hours or all

May also be useful to have an option to allow the admin to define the interval e.g. 5mins, 15mins, 30mins, 1hour. We've had requests in the past for more granular next action times and depending on the organisation you may want to be quite granular
(0002924)
sancho78rus (reporter)
2010-04-04 20:26

I think it should be variant b) with configurable hours and minutes to show.
User avatar (0002925)
ivan (administrator)
2010-04-05 10:55

An option for granularity would be great, we'd need to be careful about a minimum for that I think, it could make a for a very big list if it were set to 1 minute.
User avatar (0002927)
paulh (administrator)
2010-04-05 11:04

I'm starting to wonder whether a dropdown is the right thing for times, as with 5 minutes intervals you'd have 96 entries for a 8 hour day, I'm leaning towards a pair of text boxes with a navigation control similar to what sancho78rus proposed in 0001115 this way you can either browse at the intervals in the config option or type in a specific time
User avatar (0002928)
ivan (administrator)
2010-04-05 11:40

yeah a proper time control would be best, I do agree with that. We have loads to do though and not enough people to do it. Fancy things like that are very low priority IMO.
User avatar (0003128)
paulh (administrator)
2010-05-02 19:14

aca8662 (http://gitorious.org/sit/sit/commit/aca866234bd04ae402934e88d5a5f7f506349a9b [^]) adds this

- Issue History
Date Modified Username Field Change
2010-04-04 14:04 paulh New Issue
2010-04-04 14:04 paulh Status new => assigned
2010-04-04 14:04 paulh Assigned To => paulh
2010-04-04 14:33 kieran Note Added: 0002921
2010-04-04 19:24 paulh Note Added: 0002922
2010-04-04 20:26 sancho78rus Note Added: 0002924
2010-04-05 10:55 ivan Note Added: 0002925
2010-04-05 10:56 ivan Target Version => 4.0
2010-04-05 11:01 paulh Relationship added related to 0001115
2010-04-05 11:04 paulh Note Added: 0002927
2010-04-05 11:40 ivan Note Added: 0002928
2010-05-02 19:14 paulh Note Added: 0003128
2010-05-02 19:14 paulh Status assigned => resolved
2010-05-02 19:14 paulh Resolution open => fixed
2010-05-02 19:14 paulh Fixed in Version => Current GIT
2011-02-14 13:18 ivan Fixed in Version Current GIT => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker